# VecDotEnd

Ends a split phase dot product computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecDotEnd(Vec x,Vec y,PetscScalar *result)

### Input Parameters

| x | - the first vector (can be PETSC_NULL)
| y | - the second vector (can be PETSC_NULL)
| result | - where the result will go

### C++ variants

| PetscScalar VecDotEnd(Vec x,Vec y) |  | -> |  | VecDotEnd(x,y,&s); return s;

### Notes

Each call to VecDotBegin() should be paired with a call to VecDotEnd().

seealso: VecDotBegin(), VecNormBegin(), VecNormEnd(), VecNorm(), VecDot(), VecMDot(), VecTDotBegin(),VecTDotEnd()

Level:advanced
Location: src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex17.c.html